| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EthernetSettings Class Reference

The ETHERNET settings encapsulation for ETHERNET communication. More...

`#include <EthernetSettings.h>`

Inheritance diagram for EthernetSettings:

## Public Member Functions
| EthernetSettings ()
| Base constructor.
| EthernetSettings (string pIp, int pTcpPort, int pUdpPort)
| Copy constructor.
| EthernetSettings (string pIp, int pTcpPort, int pUdpPort, int pDataTimeout)
| ~EthernetSettings ()
| Destructor.
string | GetIp ()
| Returns the IP Address.
int | GetTcpPort ()
| Gets the TCP Port.
int | GetUdpPort ()
| Gets the UDP Port.
void | SetIp (string pIp)
| Sets the IP v4 Address.
void | SetTcpPort (int pTcpPort)
| Sets the TCP Port.
void | SetUdpPort (int pUdpPort)
| Sets the UDP Port.

## Detailed Description

The ETHERNET settings encapsulation for ETHERNET communication.

## Constructor & Destructor Documentation

## ◆ EthernetSettings() [1/3]

EthernetSettings::EthernetSettings | ( |  | ) |

Base constructor.

## ◆ EthernetSettings() [2/3]

EthernetSettings::EthernetSettings | ( | string | pIp,
|  | int | pTcpPort,
|  | int | pUdpPort )

Copy constructor.

Parameters

  pIp | IP V4 Address
  pTcpPort | TCP Port number
  pUdpPort | UDP Port number

## ◆ EthernetSettings() [3/3]

EthernetSettings::EthernetSettings | ( | string | pIp,
|  | int | pTcpPort,
|  | int | pUdpPort,
|  | int | pDataTimeout )

Copy constructor

Parameters

  pIp | IP V4 Address
  pTcpPort | TCP Port number
  pUdpPort | UDP Port number

<param name="pDataTimeout"<>UDP Port number>The max time elapsed between two data sent

## ◆ ~EthernetSettings()

EthernetSettings::~EthernetSettings | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ GetIp()

string EthernetSettings::GetIp | ( |  | ) |

Returns the IP Address.

Returns
  The IP Address represented as a string

## ◆ GetTcpPort()

int EthernetSettings::GetTcpPort | ( |  | ) |

Gets the TCP Port.

Returns
  The TCP Port represented as an int

## ◆ GetUdpPort()

int EthernetSettings::GetUdpPort | ( |  | ) |

Gets the UDP Port.

Returns
  The UDP Port represented as an int

## ◆ SetIp()

void EthernetSettings::SetIp | ( | string | pIp | ) |

Sets the IP v4 Address.

Parameters

  pIp | The IP v4 address to be set

## ◆ SetTcpPort()

void EthernetSettings::SetTcpPort | ( | int | pTcpPort | ) |

Sets the TCP Port.

Parameters

  pTcpPort | The TCP Port to be set

## ◆ SetUdpPort()

void EthernetSettings::SetUdpPort | ( | int | pUdpPort | ) |

Sets the UDP Port.

Parameters

  pUdpPort | The UDP Port to be set

The documentation for this class was generated from the following files:

- EthernetSettings.h
- EthernetSettings.cpp